Show / Hide Table of Contents

# Class ImGui_Input_Impl_Direct

##### Inheritance

System.Object
ImGui_Input_Impl_Direct

##### Implements

IImGuiInputHandler
System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: ImGuiScene

###### Assembly: ImGuiScene.dll

##### Syntax

    public class ImGui_Input_Impl_Direct : IImGuiInputHandler, IDisposable

### Constructors

| Improve this Doc View Source

#### ImGui_Input_Impl_Direct(IntPtr)

##### Declaration

    public ImGui_Input_Impl_Direct(IntPtr hWnd)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | hWnd |

### Properties

| Improve this Doc View Source

#### UpdateCursor

##### Declaration

    public bool UpdateCursor { get; set; }

##### Property Value

Type | Description
--- | ---
System.Boolean |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Dispose(Boolean)

##### Declaration

    protected virtual void Dispose(bool disposing)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | disposing |

| Improve this Doc View Source

#### Finalize()

##### Declaration

    protected void Finalize()

| Improve this Doc View Source

#### IsImGuiCursor(IntPtr)

##### Declaration

    public bool IsImGuiCursor(IntPtr hCursor)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | hCursor |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### NewFrame(Int32, Int32)

##### Declaration

    public void NewFrame(int targetWidth, int targetHeight)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | targetWidth |
System.Int32 | targetHeight |

| Improve this Doc View Source

#### SetIniPath(String)

##### Declaration

    public void SetIniPath(string iniPath)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | iniPath |

### Implements

IImGuiInputHandler
System.IDisposable